/* devanagari */
@font-face {
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-italic-devanagari.woff2) format('woff2');
  unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B09;
}
/* latin-ext */
@font-face {
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-italic-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-italic-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* devanagari */
@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-normal-devanagari.woff2) format('woff2');
  unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B09;
}
/* latin-ext */
@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-normal-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url(../webfonts/Poppins-200-normal-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* devanagari */
@font-face {
  font-family: 'Poppins';
  font-style: bold;
  font-weight: 400;
  font-display: swap;
  src: url(../webfonts/Poppins-400-normal-devanagari.woff2) format('woff2');
  unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B09;
}
/* latin-ext */
@font-face {
  font-family: 'Poppins';
  font-style: bold;
  font-weight: 400;
  font-display: swap;
  src: url(../webfonts/Poppins-400-normal-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Poppins';
  font-style: bold;
  font-weight: 400;
  font-display: swap;
  src: url(../webfonts/Poppins-400-normal-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

:root {
	--bs-body-bg: #00070b;	
	--bs-body-color: #fff;
}

.navbar-dark {
	--bs-navbar-color: #fff;
	
}

.nav-link {
	font-weight: 400;
}

html *
{
   font-family: Poppins,Arial;
   font-weight: 200;
}


body, header {
	background-image: url('../images/background/face-bg.jpg');
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-color: #01080c;
}

body {
	position: relative;
}

.trv_hp_nav_menu {
	font-size: 24px;
}

.trv_hp_font_bold {
	font-weight: 400;
}

.trv_hp_tia_input_container {
	position: relative;
	max-width: 770px;
	margin: 0 auto;
	font-size: 16px;
	line-height: 10px;
	padding-right: 10px;
}

.trv_hp_tia_input_container_down {
	position: absolute;
	left: 50%;
    transform: translate(calc(-50% - 5px), 20px); /* Verschiebt um eigene halbe Breite/Höhe */
    width: 100%;
}

.trv_hp_tia_input_container_down textarea.trv_hp_tia_input {
	background-color: #3d4750; 
}

.trv_hp_tia_input_container_down.trv_hp_tia_bottom {
	bottom: 110px;
}

.trv_hp_tia_input {
	border-radius: 20px;
	border: 0;
	background-color: #3d4750;
	outline: none;
	padding: 10px;
	width: 100%;
	height: 45px;
	max-height: 200px;
	color: #fff;
	resize: none;
	font-weight: 400;
	padding-right: 75px;
	overflow: hidden;
	line-height: 24px;
}

.trv_hp_tia_input ~ .autogrow-mirror {
	position: absolute;
	visibility: hidden;
	white-space: normal;
	word-break: break-word;
	z-index: -1;
}

.trv_hp_tia_input_send, .trv_hp_tia_microphon, .trv_hp_tia_audio_transcribe, .trv_hp_tia_audio_cancel {
	position: absolute;
	bottom: 7px;
	right: 17px;
	font-size: 30px;
	cursor: pointer;
}

.trv_hp_tia_input::placeholder {
	color: #777;
}

.trv_hp_tia_microphon {
	display: none;	
}

.trv_hp_button_startpage {
	font-size: 16px;
	background: transparent;
	border: 1px solid #fff;
	padding: 5px 20px;; 
	border-radius: 20px;
	color: #fff;
	margin: 0 20px;
}

.trv_hp_button_startpage:hover {
	background-color: rgba(255, 255, 255, 0.2);
	border-color:rgba(255, 255, 255, 0.1);
}

.trv_hp_tia_message_container {
	font-size: 16px;
	text-align: left;
	width: 770px;
	margin: 0 auto;
	position: relative;
	top: 80px;
	bottom: 150px;
	overflow: auto;
	padding-right: 10px;
    left: 50%;
    transform: translate(-50%, 0); /* Verschiebt um eigene halbe Breite/Höhe */
}

.trv_hp_tia_message_container .trv_hp_tia_user_question {
	background-color: #999;
	color: #000;
	padding: 10px;
	border-radius: 20px;
	margin-bottom: 20px;
	margin-left: 50px;
	font-weight: 400;
	margin-right: 10px;
}

.trv_hp_tia_message_container .trv_hp_tia_answer {
	background-color: #333B43; 
	padding: 10px;
	border-radius: 20px;
	margin-bottom: 20px;
	margin-right: 50px;
}

.trv_hp_tia_message_container .trv_hp_tia_answer ul, .trv_hp_tia_message_container .trv_hp_tia_answer ol {
	margin-top: 1rem;
}

.trv_hp_tia_message_container .trv_hp_tia_answer ul {
	list-style-image: none;
}

.trv_hp_search_container li::marker ,.trv_hp_container_white li::marker {
	font-family: 'Font Awesome Kit';
	content: "\e001   ";
	font-size: 12px;
}

.trv_hp_search_container li, .trv_hp_container_white li  {
	margin-bottom: 10px;
}

.trv_hp_tia_message_container a {
	color: #91c6ff;
}

.trv_hp_tia_message_container h3 {
  font-size: 20px;
  font-weight: 400;
}

.trv_hp_tia_waiting_container {
	background-color: #333B43;
	padding: 10px;
	border-radius: 10px;
	align-items: center;
    justify-content: center;
    gap: 4px;
    width: 50px;
    display: none;
}

.trv_hp_tia_waiting_dot {
    border-radius: 50%;
    height: 8px;
    width: 8px;
    background: #fff;
    animation: wave 1s infinite;
}

.trv_hp_tia_waiting_dot:nth-child(1) {
    animation-delay: 0.3333s;
}
.trv_hp_tia_waiting_dot:nth-child(2) {
    animation-delay: 0.6666s;
}
.trv_hp_tia_waiting_dot:nth-child(3) {
    animation-delay: 0.9999s;
}

@keyframes wave {
    0% {
        transform: translateY(0px);
        background: rgba(255 255 255 / 0);
    }
    50% {
        transform: translateY(-5px);
        background: rgba(255 255 255 / 0.8);
    }
    100% {
        transform: translateY(0px);
        background: rgba(255 255 255 / 0);
    }
}

.trv_hp_tia_message_container strong {
	font-weight: 400;
}

.trv_hp_tia_answer p:first-of-type {
	margin-top:0;
}

.trv_hp_tia_answer > p:last-of-type {
	margin-bottom:0;
}

.trv_hp_tia_microphon.trv_hp_mic_active {
	color: #0d0;
}

.trv_hp_mic_visualiser {
	position: absolute;
	bottom:0;
	left:0;
	right: 0;	
	background: #3d4750;
	border-radius: 20px;
	border: 0;
	width: calc(100% - 10px);
}

.trv_hp_transcription_wait {
	position: absolute;
	background: #3d4750;
	border-radius: 20px;
	top:0;
	left:0;
	right: 10px;
	bottom:0;
	z-index: 2;
	display: none;
	align-content: center;
	text-align: center;
	color: #aaa;
}

.ui-dialog {
	background: #eee;
	padding: 20px;
	color: #000;
	z-index: 1040 !important;
	border-radius: 20px;
}

.trv_hp_tia_answer table {
	border-collapse: collapse;
	margin-bottom: 10px;
}

.trv_hp_tia_answer table tbody td, .trv_hp_tia_answer table thead th {
	border: 1px solid #333B43;
	padding: 3px 5px;
}

.trv_hp_tia_answer table tbody td {
	background-color: #575d66;
}

.trv_hp_tia_answer table thead th {
	background-color: #cfcfcf;
	color: #000;	
	font-weight: 400;
}

.trv_hp_search_container {
	max-width: 100%;
}

.trv_hp_container_white {
	background-color: #fff;
	color: #000;
	font-size: 16px;
}

.trv_hp_container_white .trv_hp_content{
	max-width: 800px;
	margin: 0 auto;
	padding: 16px;
}

.trv_hp_container_white h2 {
	font-size: 30px;	
	font-weight: 400;
	margin-top: 40px;
	margin-bottom: 20px;
}

.trv_hp_top_slogan {
	position: absolute;
	top: 110px;
	left: 25px;
	color: #ccc;
}

.trv_hp_top_slogan h1 {
	font-size: 24px;	
}

.trv_hp_container_white button {
	color: #000;
	background-color: #9BC5E7;
	border: 0;
	border-radius: 5px;
	padding: 10px 15px;
	font-weight: 400;
}

.trv_hp_container_white button:hover {
	background-color: #a5cff2;	
}

footer {
	height: 65px;
}

@keyframes slide {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

.logos {
  overflow: hidden;
  padding: 5px 0;
  white-space: nowrap;
  position: relative;
}

.logos:before,
.logos:after {
  position: absolute;
  top: 0;
  width: 250px;
  height: 100%;
  content: "";
  z-index: 2;
}

.logos:hover .logos-slide {
  animation-play-state: paused;
}

.logos-slide {
  display: inline-block;
  animation: 310s slide infinite linear;
  
}

.logos-slide img {
  height: 40px;
  margin: 0 40px;
  filter: grayscale(1);
  mix-blend-mode: multiply;
}

.trv_hp_starpage_slider {
	width: 100%;
	position: absolute;
	bottom: 0px;
	left: 0;
	background: white;
}

.ui-dialog-titlebar {
	margin-bottom: 20px;
	font-weight: bold;
}

.ui-dialog-titlebar a {
	display: none;	
}

.ui-dialog-content a.trv_button {
	color: #fff;	
	cursor: pointer;
	padding: 10px 30px;
	background: #d00;
	border-radius: 10px;
	cursor: pointer;
	font-weight: 400;
	text-decoration: none;
}

@media (max-width: 768px) {
	header {
		.nav-item {
			display: none;
		}
		
		.container-fluid {
			padding: 0;
		}
	}

	.trv_hp_top_slogan {
		left: 10px;
	}

	.trv_hp_tia_message_container {
		width: 100%;
	}
	
	footer {
		font-size: 12px;
	}
}